org.thymeleaf.extras.springsecurity4.dialect

## Class SpringSecurityDialect

- Object
- - org.thymeleaf.dialect.AbstractDialect
  - - org.thymeleaf.extras.springsecurity4.dialect.SpringSecurityDialect

- All Implemented Interfaces:
    org.thymeleaf.dialect.IDialect, org.thymeleaf.dialect.IExpressionEnhancingDialect

      public class SpringSecurityDialect
      extends org.thymeleaf.dialect.AbstractDialect
      implements org.thymeleaf.dialect.IExpressionEnhancingDialect

  Author:
    Daniel Fernández

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTHENTICATION_EXPRESSION_OBJECT_NAME`
    `static String` | `AUTHORIZATION_EXPRESSION_OBJECT_NAME`
    `static String` | `DEFAULT_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringSecurityDialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getAdditionalExpressionObjects(org.thymeleaf.context.IProcessingContext processingContext)`
    `String` | `getPrefix()`
    `Set<org.thymeleaf.processor.IProcessor>` | `getProcessors()`
    `boolean` | `isLenient()`

    - ### Methods inherited from class org.thymeleaf.dialect.AbstractDialect

      `getDocTypeResolutionEntries, getDocTypeTranslations, getExecutionAttributes`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.thymeleaf.dialect.IDialect

      `getDocTypeResolutionEntries, getDocTypeTranslations, getExecutionAttributes`

- - ### Field Detail

    - #### DEFAULT_PREFIX

          public static final String DEFAULT_PREFIX

      See Also:
        Constant Field Values

    - #### AUTHENTICATION_EXPRESSION_OBJECT_NAME

          public static final String AUTHENTICATION_EXPRESSION_OBJECT_NAME

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_EXPRESSION_OBJECT_NAME

          public static final String AUTHORIZATION_EXPRESSION_OBJECT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpringSecurityDialect

          public SpringSecurityDialect()

  - ### Method Detail

    - #### getPrefix

          public String getPrefix()

      Specified by:
        `getPrefix` in interface `org.thymeleaf.dialect.IDialect`

    - #### isLenient

          public boolean isLenient()

      Overrides:
        `isLenient` in class `org.thymeleaf.dialect.AbstractDialect`

    - #### getProcessors

          public Set<org.thymeleaf.processor.IProcessor> getProcessors()

      Specified by:
        `getProcessors` in interface `org.thymeleaf.dialect.IDialect`
      Overrides:
        `getProcessors` in class `org.thymeleaf.dialect.AbstractDialect`

    - #### getAdditionalExpressionObjects

          public Map<String,Object> getAdditionalExpressionObjects(org.thymeleaf.context.IProcessingContext processingContext)

      Specified by:
        `getAdditionalExpressionObjects` in interface `org.thymeleaf.dialect.IExpressionEnhancingDialect`

Copyright © 2015 The THYMELEAF team. All rights reserved.